Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://sdk.nimbleway.com/v2/jobs/runs/{run_id} \ --header 'Authorization: Bearer <token>'
import requests url = "https://sdk.nimbleway.com/v2/jobs/runs/{run_id}" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://sdk.nimbleway.com/v2/jobs/runs/{run_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://sdk.nimbleway.com/v2/jobs/runs/{run_id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://sdk.nimbleway.com/v2/jobs/runs/{run_id}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://sdk.nimbleway.com/v2/jobs/runs/{run_id}") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://sdk.nimbleway.com/v2/jobs/runs/{run_id}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "created_at": "2023-11-07T05:31:56Z", "id": "<string>", "job": { "id": "<string>", "name": "<string>", "display_name": "<string>", "extract_template_name": "<string>", "schedule": { "cron": "<string>", "enabled": true } }, "status": "PENDING", "triggered_by": "schedule", "error": { "errors_sample": [ {} ], "message": "<string>", "step": "<string>" }, "finished_at": "2023-11-07T05:31:56Z", "inputs_sample": [ "<unknown>" ], "started_at": "2023-11-07T05:31:56Z", "summary": { "input_count": 123, "match_rate": 123, "result_count": 123 } }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>", "ctx": {}, "input": "<unknown>" } ] }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Successful Response
Full detail for a single run.
When the run was created.
Unique run identifier (run_).
^run_[1-9][0-9]*$
Context of the job this run belongs to.
Show child attributes
Current run status.
PENDING
RUNNING
SUCCESS
FAILED
CANCELLED
TIMEOUT
WARNING
What triggered the run: 'schedule' or 'manual'.
schedule
manual
Error details when the run failed.
When the run finished.
Sample of the run's input records.
When the run started executing.
Aggregate metrics for the run.
Was this page helpful?
Contact support